# Form implementation generated from reading ui file 'src/eric7/Testing/MarkersWindow.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_MarkersWindow(object):
    def setupUi(self, MarkersWindow):
        MarkersWindow.setObjectName("MarkersWindow")
        MarkersWindow.resize(800, 600)
        self.verticalLayout = QtWidgets.QVBoxLayout(MarkersWindow)
        self.verticalLayout.setObjectName("verticalLayout")
        self.markersList = QtWidgets.QTreeWidget(parent=MarkersWindow)
        self.markersList.setAlternatingRowColors(True)
        self.markersList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.NoSelection)
        self.markersList.setRootIsDecorated(False)
        self.markersList.setItemsExpandable(False)
        self.markersList.setWordWrap(True)
        self.markersList.setObjectName("markersList")
        self.verticalLayout.addWidget(self.markersList)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=MarkersWindow)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(MarkersWindow)
        self.buttonBox.rejected.connect(MarkersWindow.close) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(MarkersWindow)

    def retranslateUi(self, MarkersWindow):
        _translate = QtCore.QCoreApplication.translate
        MarkersWindow.setWindowTitle(_translate("MarkersWindow", "Defined Markers"))
        self.markersList.setSortingEnabled(True)
        self.markersList.headerItem().setText(0, _translate("MarkersWindow", "Marker"))
        self.markersList.headerItem().setText(1, _translate("MarkersWindow", "Description"))
